Class
ModifiedIterator
Allows to modify arbitrary iterators by specializing what differs from an origin.

Iterator

ModifiedIterator

ModReverse | ModView

ModifiedIterator<THost[, TSpec]>
Include Headers
seqan/modifier.h
Parameters

THost | Original iterator. Types: Iterator
TSpec | The modifier type. Metafunctions: Spec

Remarks
THost can also be a modified iterator, so you can create custom iterators by combining predefined ones.
Implements
Iterator
Specializations

ModReverse | Mirrors the characters from begin to end.
ModView | Transforms the characters of the THost string/iterator using a custom function.

Functions

assignValue | Assigns value to item. (Iterator)
atBegin | Determines whether an iterator is at the beginning position. (Iterator)
atEnd | Determines whether an iterator is at the end position. (Iterator)
getValue | Access to the value. (Iterator)
goBegin | Iterates to the first position of a container. (Iterator)
goEnd | Iterates to the last position of a container. (Iterator)
goFurther | Iterates some steps further. (Iterator)
goNext | Iterates to next position. (Iterator)
goPrevious | Iterates to pevious position. (Iterator)
moveValue | Assigns value to item. (Iterator)
position | Position of an iterator. (Iterator)
value | Reference to the value. (Iterator)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45